> For the complete documentation index, see [llms.txt](https://www.mongodb.com/docs/api/doc/mongodb-relational-migrator-rest-api/llms.txt)

# Get a pre-migration analysis report

> GET /analysis/{projectId}/report
> 
> Get a pre-migration analysis report.



## Servers
- http://127.0.0.1:8278/api/v1: http://127.0.0.1:8278/api/v1 ()



## Parameters

### Path parameters

- **projectId** (string)
  Project ID




## Responses
### 200
OK

#### Body: application/json (object)
- **id** (string)

- **projectId** (string)

- **generatedAt** (string(date-time))

- **preflightChecks** (array[object])

- **rules** (array[object])

- **dbMetrics** (object)

- **databaseMetadata** (object)

- **healthScore** (number)

- **resolvedRules** (array[string])

- **takeaways** (array[object])

- **uniqueDboAlerts** (object)

- **detectionCountsByDboType** (object)

- **errors** (array[string])


### 404
Not found

#### Body: application/json (object)
- **errorType** (string)
  An error category identifying what kind of error occurred.

- **message** (string)
  A human-readable explanation of what went wrong.

- **timestamp** (string(date-time))
  The date and time the error occurred.

- **issues** (array[object])
  The individual problems that make up this error.


### 500
Internal Server Error

#### Body: application/json (object)
- **errorType** (string)
  An error category identifying what kind of error occurred.

- **message** (string)
  A human-readable explanation of what went wrong.

- **timestamp** (string(date-time))
  The date and time the error occurred.

- **issues** (array[object])
  The individual problems that make up this error.



[Powered by Bump.sh](https://bump.sh)
